#include "main.h"

void GameMain::setupGraphics()
{
	//2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D//
	// 絵を出すよ

	// 読み込んで
	if(spr.readPNG("grp/hit.png") == false) {
		fl_alert("hit.png read error!");
	}
	// 表示(カメラは先に設定しておかないとだめ)
	window.entry(spr);

	spr.glMoveTo(50.0, 50.0, 0.0);
	spr.setScale(1.0);

	// 読み込んで
	if(numSpr.readPNG("grp/pop_font.png") == false) {
		fl_alert("pop_font.png read error!");
	}
	// 切り出して
	numSpr.setSpriteArea(56, 0, 28, 38);
	// 移動して
	numSpr.setPositionLT(-400.0, 300.0);
	// 表示
	window.entry(numSpr);

	// 文字を準備して
	if(text.initFont("C:/WINDOWS/Fonts/Meiryo.ttc") == false) {
		fl_alert("initFont() error!");
	}
	// SpriteModelの変数名.text.TextImageクラスの関数()
	text.text.setPTSize(18);
	// 描いて
	text.drawText("もじもじだー\n");
	text.drawText("追加するぞー");
	// 数値表示用テストコード
	int iValue = 256;
	text.drawText(fk_StrPrintf("スコア: %d \n", iValue), true);	// 整数
	text.drawText(fk_StrPrintf("円周率: %f", 3.14));	// 実数
	// fk_StrPrintfの中身の書き方は「printf 書式」でぐぐれ
	// 移動して
	text.glTranslate(100.0, 0.0, 0.0);
	// 表示
	window.entry(text);
	//2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D//

	// 背景に画像を敷く

	// 画像読み込み
	if(rect.readJPG("grp/wp.jpg") == false) {
		fl_alert("BG Read Error!");
	}
	rect.setTextureSize(1000.0, 750.0);
	rect.setTexRendMode(FK_TEX_REND_SMOOTH);
	rect.setTextureMode(FK_TEX_REPLACE);
	bgModel.setShape(&rect);
	bgModel.glMoveTo(0.0, 0.0, -1000.0);
	bgModel.setParent(&camera);
	window.entry(bgModel);

	// モデル読み込み

	// テクスチャ画像のファイル形式にあわせてBMPやJPGと使い分けること
	// texture.png は当然ファイル名に合わせて変えること
	if(ifs.readPNG("model/rengahei.png") == false) {
		fl_alert("err1");
	}
	// shape.x はファイル名に合わせて変えて、第2引数は""のままでOK
	if(ifs.readD3DXFile("model/renga1.x", "") == false) {
		fl_alert("err2");
	}
	ifsModel.setShape(&ifs);		// モデルに形状をセット(変数に&を付けて)
	ifsModel.setMaterial(White);
	ifsModel.setSmoothMode(true);
	ifsModel.setScale(100.0);
	window.entry(ifsModel);

	// メタセコのデータを読み込む
	if(!chara.loadObjectData("girl/girl.mqo")) fl_alert("Object Read Error.");
	// セットアップデータを読み込む
	if(!chara.loadJointData("girl/girl_setup.fkc")) fl_alert("Joint Read Error.");
	// モーションデータを読み込みたいだけ読み込む
	if(!chara.loadMotionData("girl/walk.fkm")) fl_alert("Motion Read Error.");		// モーション0番
	if(!chara.loadMotionData("girl/punch2.fkm")) fl_alert("Motion Read Error.");	// モーション1番
	if(!chara.loadMotionData("girl/kick2.fkm")) fl_alert("Motion Read Error.");		// モーション2番

	// 操作モデルと親子関係構築
	chara.getBaseModel()->setParent(&body);

	// シーンへのエントリー
	window.entry(chara);
}
